# Regional Builds for Security Infrastructures
  * Objectives: Build and package base security infra and guardrails for all regional and global build


## AWS Accounts

The following are the AWS accounts for Central Security and Logging :

| Environment          | Account Name                      | Account ID     | AWS Region                 |
| -------------------- | --------------------------------- | -------------- | ---------------------------|
| Security             | <Central Security Account>        |  <Account-ID>  | us-east-1,us-west-2,....   |
| Logging              | <Central Logging Account>         |  <Account-ID>  | us-east-1,us-west-2,....   |


## What is Regional Builds for Security Infrastructures ?

The Regional Builds for Security Infrastructures is collection of the resources and systems that are regional security prod environment
and account used by/in regional Security accounts.

* Core Infrastructure consists of the following items:

  * AWS Security Hub
  * Amazon GuardDuty
  * Amazon Macie2
  * Amazon Detective
  * VPC Flow Logs
  * AWS Config
  * Amazon CloudWatch Alarms
  * Centralized Logging
  * AWS CloudTrail
  * Centralized Security


### File Structure:
```
                     ----Security_Repository-security-guard-rails-codepipeline
                                                                              |
                                                                              |---Accountlist.json
                                                                              |
                                                                              |---accounts.csv
                                                                              |
                                                                              |---buildspec.yaml
                                                                              |
                                                                              |---cross-account-cfn-deployment-CWLogs.sh
                                                                              |
                                                                              |---cross-account-cfn-deployment.sh
                                                                              |
                                                                              |---deploy_guardduty_macie_securityhub_detective.sh
                                                                              |
                                                                              |---deploy_vpc_flow_logs.sh
                                                                              |
                                                                              |---deploy-cwlogs.sh
                                                                              |
                                                                              |---deploy.sh
                                                                              |
                                                                              |---deployment-instructions.md
                                                                              |
                                                                              |---detective_setup
                                                                                                 |---CODE_OF_CONDUCT.md
                                                                                                 |
                                                                                                 |---CONTRIBUTING.md
                                                                                                 |
                                                                                                 |---deleteInvitations.py
                                                                                                 |
                                                                                                 |---deploy.sh
                                                                                                 |
                                                                                                 |---disableDetective.py
                                                                                                 |
                                                                                                 |---enableDetective.py
                                                                                                 |
                                                                                                 |---IAMRoleForDetective.yml
                                                                                                 |
                                                                                                 |---LICENSE
                                                                                                 |
                                                                                                 |---NOTICE
                                                                                                 |
                                                                                                 |---README.md
                                                                              |
                                                                              |---Dockerfile
                                                                              |
                                                                              |---guardduty_setup
                                                                                                 |---CONTRIBUTING.md
                                                                                                 |
                                                                                                 |---deploy.sh
                                                                                                 |
                                                                                                 |---disableguardduty.py
                                                                                                 |
                                                                                                 |---enableguardduty.py
                                                                                                 |
                                                                                                 |---EnableGuardDuty.yaml
                                                                                                 |
                                                                                                 |---LICENSE
                                                                                                 |
                                                                                                 |---NOTICE
                                                                                                 |
                                                                                                 |---README.md
                                                                              |
                                                                              |---Jenkinsfile
                                                                              |
                                                                              |
                                                                              |---macie_setup
                                                                                             |---deploy.sh
                                                                                             |
                                                                                             |---enablemacie2_updated.py
                                                                              |
                                                                              |----README.md
                                                                              |
                                                                              |---securityhub_setup
                                                                                                   |---CODE_OF_CONDUCT.md
                                                                                                   |
                                                                                                   |---CONTRIBUTING.md
                                                                                                   |
                                                                                                   |---deploy.sh
                                                                                                   |
                                                                                                   |---disablesecurityhub.py
                                                                                                   |
                                                                                                   |---enablesecurityhub.py
                                                                                                   |
                                                                                                   |---EnableSecurityHub.yaml
                                                                                                   |
                                                                                                   |---LICENSE
                                                                                                   |
                                                                                                   |---README.md
                                                                              |
                                                                              |---templates
                                                                                           |---cwlogs-setup
                                                                                                           |---cwlogs-export.yaml
                                                                                                           |
                                                                                                           |---deploy.sh
                                                                                           |---initial_deployment_templates
                                                                                                                            |---Childaccount_IAM_role_All_Accounts.yaml
                                                                                                                            |
                                                                                                                            |---S3Buckets-Centralized-LoggingAccount.yaml
                                                                                                                            |
                                                                                                                            |---security-guard-rails-codepipeline-Centralized-SecurityAccount.yml

                                                                                           |---parameters.config
                                                                                           |---parent_guardrails_setup
                                                                                                                         |---config-rules.yaml
                                                                                                                         |
                                                                                                                         |---deploy.sh
                                                                                                                         |
                                                                                                                         |---parent-security-guardrails-setup.yaml
                                                                                                                         |
                                                                                                                         |---password-policy.yaml
                                                                                           |---parent_logs_archive
                                                                                                                     |---cloudtrail-setup.yaml
                                                                                                                     |
                                                                                                                     |---config-setup.yaml
                                                                                                                     |
                                                                                                                     |---cw-logs-export.yaml
                                                                                                                     |
                                                                                                                     |---deploy.sh
                                                                                                                     |
                                                                                                                     |---iam.yaml
                                                                                                                     |
                                                                                                                     |---lambda-function.js
                                                                                                                     |
                                                                                                                     |---lambda-function.zip
                                                                                                                     |
                                                                                                                     |---parent-log-setup-template.yaml

                                                                              |
                                                                              |---vpc-flow-logs
                                                                                               |---deploy.sh
                                                                                               |
                                                                                               |---enableVPCFlowLogs.py
                                                                              |
  ```
