#!/bin/bash -e

region=$3
AWS_ACCOUNT=$(aws sts get-caller-identity --output text --query Account --profile $2)

echo "Deploying to Account ${AWS_ACCOUNT} in ${region}"

if [ -z "$1" ]; then
  echo "config file not supplied"
  exit 1
fi

# reading environment config file
echo "using config file: $1"
. $1

echo "Packaging the template and uploading the local artifacts to the ${pTemplateBucketName} S3 Bucket"
##Packaging the CloudFormation templates and uploading to S3
aws cloudformation package --template-file ./cwlogs-export.yaml --s3-bucket ${pTemplateBucketName} --output-template-file  output-cwlogs-export-template.yaml --profile $2

echo "Deploying the logging setup CloudFormation stack"
###Deploy CWLogs Export in N Virginia Region
aws --region ${region} cloudformation deploy --stack-name ${pstackNameCWLogExports} --template-file output-cwlogs-export-template.yaml --parameter-overrides pAllowedAccounts="$pAllowedAccounts" pBucketName="$pBucketName" pBucketPrefix="$pBucketPrefix" pBufferIntervalHint="$pBufferIntervalHint" pBufferSizeHint="$pBufferSizeHint" pDestinationName="$pDestinationName" pKeyArn="$pKeyArn" pLogFormat="$pLogFormat" pLogGroupNamePrefix="$pLogGroupNamePrefix" pProcessorBufferIntervalHint="$pProcessorBufferIntervalHint" pProcessorBufferSizeHint="$pProcessorBufferSizeHint" pRetention="$pRetention" pShardCount="$pShardCount" pSubscribeSchedule="$pSubscribeSchedule" pTemplateBucketName="$pTemplateBucketName" pstackNameCWLogExports="$pstackNameCWLogExports" --capabilities CAPABILITY_IAM --no-fail-on-empty-changeset --profile $2
